<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <View
        android:id="@+id/item_gift_bag_line_top"
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:background="#f5f5f5"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/item_gift_bag_btn"
        android:layout_width="68dp"
        android:layout_height="22dp"
        android:layout_marginTop="16dp"
        android:layout_marginEnd="16dp"
        android:layout_marginBottom="16dp"
        android:gravity="center"
        android:text="下载领取"
        android:textColor="#ff2ebef2"
        android:textSize="12sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@id/item_gift_bag_line_top" />

    <TextView
        android:id="@+id/item_gift_bag_num"
        android:layout_width="68dp"
        android:layout_height="wrap_content"
        android:layout_marginEnd="35dp"
        android:text="剩余500份"
        android:textColor="#ff666666"
        android:textSize="13sp"
        app:layout_constraintBottom_toBottomOf="@id/item_gift_bag_btn"
        app:layout_constraintEnd_toStartOf="@id/item_gift_bag_btn"
        app:layout_constraintTop_toTopOf="@id/item_gift_bag_btn" />

    <TextView
        android:id="@+id/item_gift_bag_name"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginEnd="20dp"
        android:ellipsize="end"
        android:maxLines="2"
        android:text="那一剑江湖"
        android:textColor="#ff666666"
        android:textSize="13sp"
        app:layout_constraintBottom_toBottomOf="@id/item_gift_bag_btn"
        app:layout_constraintEnd_toStartOf="@id/item_gift_bag_num"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/item_gift_bag_btn" />

</android.support.constraint.ConstraintLayout>